Arg.h File Reference
`#include <list>`
`#include <string>`
`#include "EncryptionAlgorithm.h"`
`#include "EncryptionMode.h"`

Go to the source code of this file.

## Classes

class | Arg< T >

## Typedefs

typedef Arg< COMMAND > | ArgCommand
typedef Arg< VERBOSITY > | ArgVerbosity
typedef Arg< bool > | ArgBool
typedef Arg< std::string > | ArgString
typedef Arg< unsigned long > | ArgULong
typedef Arg< int > | ArgInt
typedef Arg< float > | ArgFloat
typedef Arg< EncryptionAlgorithm > | ArgEncAlgo
typedef Arg< EncryptionMode > | ArgEncMode
typedef Arg< unsigned int > | ArgUInt
typedef Arg< std::list< std::string > > | ArgStringList
typedef Arg< DEBUGCOMMAND > | ArgDebugCommand

## Enumerations

enum | COMMAND { EMBED , EXTRACT , INFO , ENCINFO , SHOWVERSION , SHOWLICENSE , SHOWHELP , PRINTFREQS }
enum | VERBOSITY { QUIET , NORMAL , VERBOSE , STATS }
enum | DEBUGCOMMAND { NONE , PRINTGRAPH , PRINTGMLGRAPH , PRINTGMLVERTEX }

## Typedef Documentation

## ArgBool

typedef Arg<bool> ArgBool

## ArgCommand

typedef Arg<COMMAND> ArgCommand

## ArgDebugCommand

typedef Arg<DEBUGCOMMAND> ArgDebugCommand

## ArgEncAlgo

typedef Arg<EncryptionAlgorithm> ArgEncAlgo

## ArgEncMode

typedef Arg<EncryptionMode> ArgEncMode

## ArgFloat

typedef Arg<float> ArgFloat

## ArgInt

typedef Arg<int> ArgInt

## ArgString

typedef Arg<std::string> ArgString

## ArgStringList

typedef Arg<std::list<std::string> > ArgStringList

## ArgUInt

typedef Arg<unsigned int> ArgUInt

## ArgULong

typedef Arg<unsigned long> ArgULong

## ArgVerbosity

typedef Arg<VERBOSITY> ArgVerbosity

## Enumeration Type Documentation

## COMMAND

enum COMMAND

Enumerator
EMBED |
EXTRACT |
INFO |
ENCINFO |
SHOWVERSION |
SHOWLICENSE |
SHOWHELP |
PRINTFREQS |

## DEBUGCOMMAND

enum DEBUGCOMMAND

Enumerator
NONE |
PRINTGRAPH |
PRINTGMLGRAPH |
PRINTGMLVERTEX |

## VERBOSITY

enum VERBOSITY

Enumerator
QUIET |
NORMAL |
VERBOSE |
STATS |